summaryrefslogtreecommitdiffstats
path: root/system/dse-typewriter-font/dse-typewriter-font.SlackBuild
diff options
context:
space:
mode:
author B. Watson2020-06-13 04:48:55 +0200
committer Willy Sudiarto Raharjo2020-06-14 12:45:43 +0200
commit471accae93a44972ba59a9e04623370a29b8165a (patch)
treee6d54ac124d8ab2818ba969dd567d06b27507eb7 /system/dse-typewriter-font/dse-typewriter-font.SlackBuild
parent03fe7e3fef9566019b43bc3ac074be8f9b2ea33c (diff)
downloadslackbuilds-471accae93a44972ba59a9e04623370a29b8165a.tar.gz
system/dse-typewriter-font: Added (typewriter-style TrueType font)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/dse-typewriter-font/dse-typewriter-font.SlackBuild')
-rw-r--r--system/dse-typewriter-font/dse-typewriter-font.SlackBuild47
1 files changed, 47 insertions, 0 deletions
diff --git a/system/dse-typewriter-font/dse-typewriter-font.SlackBuild b/system/dse-typewriter-font/dse-typewriter-font.SlackBuild
new file mode 100644
index 0000000000..857bfbcc46
--- /dev/null
+++ b/system/dse-typewriter-font/dse-typewriter-font.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Slackware build script for dse-typewriter-font
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=dse-typewriter-font
+VERSION=${VERSION:-20200507_1795eb8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+# upstream permissions are bad
+find -L . -type d -exec chmod 755 {} \+
+find -L . -type f -exec chmod 644 {} \+
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a ttf/*.ttf $PKG/usr/share/fonts/TTF
+
+# don't include the HTML docs: they're just a copy of the homepage, except
+# they don't actually work right when installed locally.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}